.content-box-grid {
  display: grid;
  gap: 2rem;
  row-gap: .5rem;
  margin: 0 auto;
}

/* Desktop Grid */
@media (min-width: 1024px) {
  .content-box-grid {
    grid-template-columns: repeat(var(--sp-content-boxes-columns), 1fr);
  }
}

/* Tablet Grid */
@media (min-width: 768px) and (max-width: 1023px) {
  .content-box-grid {
    grid-template-columns: repeat(2, 1fr);
  }
}

/* Mobile Grid */
@media (max-width: 767px) {
  .content-box-grid {
    grid-template-columns: 1fr;
  }
}

.content-box {
  background-color: var(--sp-content-boxes-background-color);
  border-bottom-width: var(--sp-content-boxes-border-width);
  border-bottom-color: var(--sp-content-boxes-border-color);
  border-bottom-style: solid;
  display: grid;
  grid-template-rows: subgrid;
  grid-row: span 4;
  overflow: hidden;
}

.content-box__inner {
  display: contents;
  text-align: center;
}

.content-box__image {
  grid-row: 1;
  aspect-ratio: 812/440;
  overflow: hidden;
  position: relative;
  cursor: pointer;
}

.content-box__image img {
  width: 100%;
  height: 100%;
  object-fit: cover;
  display: block;
}

h3.content-box__title {
  grid-row: 2;
  margin: 2rem 1rem 0 1rem;
  font-size: 2rem;
  font-weight: 700;
  line-height: normal;
  color: #000;
}

@media (max-width: 767px) {
  h3.content-box__title {
    margin: 1rem 1rem 0 1rem;
    font-size: 1.5rem;
  }
}

p.content-box__text {
  grid-row: 3;
  margin: 0 1rem 1.5rem 1rem;
  font-size: 1.2rem;
  color: #000;
  font-weight: 300;
  line-height: normal;
}

@media (max-width: 767px) {
  p.content-box__text {
    margin: 0 1rem;
    font-size: 1.3rem;
  }
}

@supports not (grid-template-rows: subgrid) {
  .content-box {
    display: flex;
    flex-direction: column;
  }

  .content-box__inner {
    display: flex;
    flex-direction: column;
    height: 100%;
  }

  .content-box__image {
    flex-shrink: 0;
  }

  .content-box__title {
    flex-grow: 0;
  }

  .content-box__text {
    flex-grow: 0;
  }
}
